static var xz=0; //定义xz为全球变量方便其他程序调用，且为整数初始为0，用于记录风扇是否旋转

function Update()
{
	audio.volume = xz*leftknob.levelcount*0.333; //播放声音音量为风力等级的0.333倍
	
	animation["xuanzhuan"].layer=1;  //旋转动画的层级为1，无实际意义此句可以省略
	if(leftknob.levelcount!=0 && rightknob.timecount!=0)  //若风力等级不为零，且计时器不为0，则旋转
	{
		animation.Play("xuanzhuan");  //播放旋转动画
		animation["xuanzhuan"].speed=leftknob.levelcount*0.6; //旋转速度为风力等级的0.6倍
		xz=1;  //风扇处于旋转状态
	}
	else 
	{
		animation.Stop("xuanzhuan"); //停止播放旋转动画
		xz=0;   //风扇处于静止状态
	}
}